<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:ObjectManager/etc/config.xsd">
    <type name="Magento\Payment\Model\CcGenericConfigProvider">
        <arguments>
            <argument name="methodCodes" xsi:type="array">
                <item name="giftcard" xsi:type="const">Bloyal\Calculatecart\Model\Payment\GiftCard::PAYMENT_METHOD_GIFT_CARD_CODE</item>
            </argument>
        </arguments>
    </type>
    <type name="Magento\Checkout\Model\CompositeConfigProvider">
        <arguments>
            <argument name="configProviders" xsi:type="array">
                <item name="custom_text_config_provider" xsi:type="object">Bloyal\Calculatecart\Model\ConfigProvider</item>
            </argument>
        </arguments>
    </type>
</config>